
Infrastructure - Task #2616

Update solr schema field names

2012-04-19 16:57 - Skye Roseboom

Status: Closed Start date: 2012-04-19

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.15-Block.2.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Field naming in the solr schema needs to be updated for consistent naming.  using camel-case or no.

Also may need to update the schema for field names which have changed in the d1 api - objectFormat -> formatId for instance.

History

#1 - 2012-04-23 16:34 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-04-24 19:47 - Skye Roseboom

Updated field 'objectformat' to be 'formatId' to match d1 rest api parameters.

Updated naming to use consistent camel casing between words.  removed use of '_' character between words.  

Some fields may not be completely consistent - especially fields used by one-mercury search interface - datasource is treated as one word.

Deployed to cn-dev-2.

#3 - 2012-04-26 20:12 - Skye Roseboom

- Status changed from In Progress to Closed

Tested, no issues found.
